WESNOTH(6)

NOME
wesnoth - Battle for Wesnoth, un xogo fantástico de estratexia por turnos

SINOPSE
wesnoth [OPCIÓNS] [RUTA_ÓS_DATOS]

DESCRICIÓN
Battle for Wesnoth é un xogo fantástico de estratexia por turnos Derrota a tódolos líderes inimigos usando un cadro de tropas ben escollido, tendo en conta a xestión dos teus recursos de ouro e vilas. Tódalas unidades teñen as súas propias fortalezas e debilidades; para gañar, desprega as túas forzas para que teñan as máximas vantaxes mentres lle impides ós teus inimigos face-lo mesmo. A medida que as unidades conseguen experiencia, adquiren novas habilidades e fanse máis poderosas. Xoga na túa propia lingua e proba as túas habilidades contra un opoñente por ordenador intelixente, ou únete á gran comunidade de xogadores en liña de Wesnoth. Crea as túas propias unidades personalizadas, escenarios ou campañas, e comparteos cos demais.

OPCIÓNS

--bpp número
    establece o valor de BitsPerPixel. Exemplo: --bpp 32

--compress ficheiroentrada ficheirosaída
    comprime un ficheiro de partida gardada (ficheiroentrada) que está en formato WML de texto a formato WML binario (ficheirosaída).

-d, --debug
    mostra información de depuración adicional e habilita opcións de modo de comando adicionais no xogo (consulte o sitio web en http://www.wesnoth.org/wiki/CommandMode para obter máis información sobre o modo de comando).

--decompress ficheiroentrada ficheirosaída
    descomprime un ficheiro de partida gardada (ficheiroentrada) que está en formato WML binario a formato WML de texto (ficheirosaída).

-f, --fullscreen
    executa o xogo a pantalla completa.

--fps
    amosa o número de imaxes por segundo ó que se está executando o xogo, nunha esquina da pantalla.

--gunzip ficheiroentrada.gz
    descomprime un ficheiro que debería estar en formato gzip e gárdao co sufixo .gz. O ficheiroentrada.gz eliminarase.

--gzip ficheiroentrada
    comprime un ficheiro con formato gzip, gárdao coma ficheiroentrada.gz e elimina ficheiroentrada.

-h, --help
    amosa un resumo das opcións de liña de comandos na saída estándar, e sae.

--load partidagardada
    carga o ficheiro de partida gardada dende o directorio estándar de partidas gardadas.

--log-nivel=dominio1,dominio2,...
    establece o nivel de severidade dos dominios de log. Pódese usar all para referirse a calquera dominio de log. Niveis dispoñibles: error,warning, info, debug. Por defecto úsase o nivel error.

--logdomains
    Mostra unha lista de tódolos dominios de log e sae.

--max-fps
    o número de imaxes por segundo que pode amosar o xogo, o valor debe estar entre 1 e 1000, o predeterminado é 50.

--multiplayer
    executa o xogo en multixogador. Hai opcións adicionais que poden usarse xunta con --multiplayer tal como se explica máis abaixo.

--nocache
    deshabilita a caché de datos de xogo.

--nosound
    executa o xogo sen son e sen música.

--path
    amosa o nome do directorio de datos do xogo e sae.

-r XxY, --resolution XxY
    establece a resolución da pantalla. Por exemplo: -r 800x600

-t, --test
    executa o xogo nun pequeno escenario de proba.

-v, --version
    amosa o número de versión e sae.

-w, --windowed
    executa o xogo nunha ventá.

--no-delay
    executa o xogo sen tomar un tempo para facer unha proba de rendemento gráfico. Isto actívase automaticamente con --nogui.

--nogui
    executa o xogo sen GUI. Debe aparecer antes de --multiplayer para ter o efecto desexado.

--exit-at-end
    sae unha vez se rematou o escenario, sen mostrar un diálogo de victoria ou derrota que require que o usuario prema Aceptar. Isto tamén se emprega para probas de rendemento automatizadas mediante scripts.

Opcións para --multiplayer
As opcións multixogador específicas dun bando márcanse con número. número tense que substituír por un número de bando. Normalmente é 1 ou 2 pero depende do número de xogadores posible do escenario escollido.

--algorithmnúmero=valor
    selecciona un algoritmo non estándar para que o use o controlador da IA dese bando. Valores dispoñibles: idle_ai e sample_ai.

--controllernúmero=valor
    selecciona o controlador deste bando. Valores dispoñibles: human e ai.

--era=valor
    use esta opción para xogar na era seleccionada en vez de na era Default. A era elíxese mediante un id. As eras descríbense no ficheiro data/multiplayer/eras.cfg.

--parmnúmero=nome:valor
    establece parámetros adicionais para este bando. Este parámetro depende das opcións usadas con --controller e --algorithm. Debería ter únicamente utilidade para a xente que está deseñando a súa propia IA. (ainda non documentado de forma completa)

--scenario=valor
    selecciona un escenario multixogador polo id. O id do escenario predeterminado é multiplayer_The_Freelands.

--sidenúmero=valor
    selecciona unha facción da era actual para este bando. A facción elíxese mediante un id. As faccións descríbense no ficheiro data/multiplayer.cfg.

--turns=valor
    establece o número de turnos para o escenario elixido. Por defecto é 50.

Exemplo para probar a túa propia IA contra a IA predeterminada sen iniciar a GUI:
    wesnoth --nogui --multiplayer --controller1=ai --controller2=ai --algorithm2=python_ai --parm2=python_script:py/a_miña_propia_ia.py

AUTOR
Escrito por David White <davidnwhite@verizon.net>.
Editado por Nils Kneuper <crazy-ivanovic@gmx.net>, ott <ott@gaon.net> e Soliton <soliton.de@gmail.com>.
Esta páxina de manual escribiuna orixinalmente Cyril Bouthors <cyril@bouthors.org>.
Visite o sitio oficial: http://www.wesnoth.org/

COPYRIGHT
Copyright © 2003-2007 David White <davidnwhite@verizon.net>
Isto é Software Libre; este software está licenciado baixo a GPL versión 2, tal e como foi publicada pola Free Software Foundation. Non existe NINGUNHA garantía; nin sequera para o SEU USO COMERCIAL ou ADECUACIÓN PARA UN PROPÓSITO PARTICULAR.

CONSULTE TAMÉN
wesnoth_editor(6), wesnothd(6)